/*
# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Sant)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ 
*/ 


#include <stdio.h>


//=========================================================================
#include <bbtkInterpreter.h>
#include <wx/cmdline.h>
#include "bbtkWtBlackBox.h"

int main(int argc, char* argv[])
{

 printf("bbiWeb...A argc=%d \n",argc);

//bbtk::MessageManager::SetMessageLevel("all",9);
printf("bbiWeb: [0]: %s \n",argv[0]);
printf("bbiWeb: [1]: %s \n",argv[1]);
printf("bbiWeb: [2]: %s \n",argv[2]);
printf("bbiWeb: [3]: %s \n",argv[3]);
printf("bbiWeb: [4]: %s \n",argv[4]);
 printf("bbiWeb...B\n");


  bbtk::WtBlackBox::wtServerData::argc = argc;
  bbtk::WtBlackBox::wtServerData::argv = argv;



//Borrame
//FILE *ff; ff = fopen ("/tmp/bbi.wt.log","a+"); fprintf(ff,"EED main bbiWeb\n"); fclose(ff);
 

  bbtk::Interpreter::Pointer I = bbtk::Interpreter::New();
 printf("bbiWeb...C\n");

  std::string fileName = argv[0];
  std::size_t pos 	= fileName.find("_");     
  fileName 		= fileName.substr (pos+1);      
  pos 			= fileName.find(".wt");
  fileName 		= fileName.erase (pos);  
  fileName		= "bbs/"+fileName;

printf("bbiWeb fileName %s\n", fileName.c_str() );
//  std::string fileName("/var/www/testwtdbg/docroot/.bbtk/tmp/demoPresentacion1Boton02.bbs");




 printf("bbiWeb...D\n");
  I->InterpretFile(fileName);
 printf("bbiWeb...E\n");

  return 0;
}
